For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account Validation

Performs one or more validation checks for a given card, such as CVC, AVS, and cardholder name, in a synchronous (blocking) request. The presence of validation data in the request body implicitly specifies which checks are performed.

Beta

Perform account validation checks

post
/cards/{card_id}/validations

Performs one or more validation checks for a given card, such as CVC, AVS, and cardholder name, in a synchronous (blocking) request. The presence of validation data in the request body implicitly specifies which checks are performed.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
card_idstringRequiredExample: CRDecqZp3xRgXU3TFmtcDdzQs
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Example: Bearer <JWT_TOKEN>
Content-Typestring · enumRequired

Content type of a request to CMP

Example: application/vnd.api+jsonPossible values:
Body

The request body to initiate account validations. A card verification is always performed; the presence of cvc, cardholder_address, or cardholder_name additionally requests the corresponding optional check (CVC, AVS, name match).

Responses
200

SUCCESS: The validation was performed and results are in the response body.

application/vnd.api+json

The response body for a successful synchronous validation.

post/cards/{card_id}/validations
POST /cards/{card_id}/validations HTTP/1.1
Host: sandbox.vgsapi.com
Authorization: text
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 306

{
  "data": {
    "attributes": {
      "cvc": "123",
      "cardholder_address": {
        "street": "123 Main St",
        "postal_code": "94102"
      },
      "cardholder_name": {
        "first_name": "John",
        "middle_name": "Q",
        "last_name": "Doe"
      },
      "merchant": {
        "merchant_name": "ABC Corp",
        "address": {
          "city": "San Francisco",
          "state": "CA",
          "country": "US",
          "postal_code": "94102"
        }
      }
    }
  }
}
{
  "data": {
    "id": "5ea8913b-ea22-4417-90f3-9ab24a4aeed9",
    "type": "account-validation-results",
    "attributes": {
      "attempted_at": "2026-05-05T14:32:18.412Z",
      "transaction_identifier": "987654321234567",
      "card_verification_status": "verified",
      "validation_results": [
        {
          "type": "cvc",
          "status": "match"
        },
        {
          "type": "address",
          "status": "partial_match",
          "detail": {
            "street_address": "no_match",
            "postal_code": "match"
          }
        },
        {
          "type": "name",
          "status": "match"
        }
      ]
    },
    "relationships": {
      "card": {
        "data": {
          "type": "cards",
          "id": "CRDecqZp3xRgXU3TFmtcDdzQs"
        }
      }
    }
  },
  "meta": {
    "observability": {
      "trace_id": "00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-01",
      "client_id": "ACq8Yk2pH3vN5wRtX9bMcKfJ",
      "vault_id": "tnt7v3k9pqr2",
      "account_id": "ACTjtY1xLpU9EKYZB28YpSuR1bmJdjGBtsw9DD3ey3FhdhwBmvau",
      "fingerprint": "f1b2c3d4e5a6978899aabbccddeeff00"
    }
  }
}

Last updated